Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2303 - Dvorak keyboard symbols incorrect
Summary: Dvorak keyboard symbols incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-21 06:45 UTC by thalakan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-03 18:17:57 UTC


Attachments (Terms of Use)

Description thalakan 1999-04-21 06:45:17 UTC
The right bracket/right curly bracket and the plus/equals
symbols are swapped in the
/usr/X11R6/lib/X11/xkb/symbols/dvorak file.  The symbols for
codes <AE12> and <AD12> need to be switched.

Comment 1 thurley 1999-05-02 10:40:59 UTC
From what I understand, this correctly conforms to the ANSI (I think,
it might be an ISO or somesuch) standard Dvorak keyboard layout.  This
aspect of the standard is a nonfunctional one, and I agree in
principle that the conventional mapping:
0 [ ] \
 l / =
in that area is Obviously Better than the standard
0 [ = \
 l / ]

However it is not the "official standard" so there is a reason it's
that way, although I would personally change it as you have described.

Comment 2 thalakan 1999-05-02 19:31:59 UTC
Thanks; actually, both the MacOS and Windows 9x/NT use the mapping I
have described; I never knew the other way was the Officially
Sanctioned Standard.  If two out of three of the major operating
systems use the other mapping, that makes it a de facto standard, eh?
Who are we to say otherwise? :)

Comment 3 Jeff Johnson 1999-06-03 18:17:59 UTC
Fixed in Xfree86-3.3.3.1-49.


Note You need to log in before you can comment on or make changes to this bug.